## org.biojava.utils.contract
Class AssertionFailedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.biojava.utils.contract.AssertionFailedException

public class AssertionFailedException
extends java.lang.RuntimeException

Exception class that is thrown if an assertion failed. Since this class is a subclass of RuntimeException it is not enforced by the compiler to catch objects of this class.

Author:
  Gerald Loeffler
See Also:
  Serialized Form

Constructor Summary
`AssertionFailedException()` construct with no particular message
`AssertionFailedException(java.lang.String msg)` construct with the given message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionFailedException

    public AssertionFailedException()

  construct with no particular message

### AssertionFailedException

    public AssertionFailedException(java.lang.String msg)

  construct with the given message
  Parameters:
    `msg` - the message